clang 10.0.0git

Static Public Member Functions | List of all members
clang::ast_matchers::dynamic::internal::ArgTypeTraits< unsigned > Struct Template Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/ASTMatchers/Dynamic/Marshallers.h"`

## Static Public Member Functions
static bool | is (const VariantValue &Value)
static unsigned | get (const VariantValue &Value)
static ArgKind | getKind ()

## Detailed Description

### template<>
struct clang::ast_matchers::dynamic::internal::ArgTypeTraits< unsigned >

Definition at line 111 of file Marshallers.h.

## Member Function Documentation

## ◆ get()

static unsigned clang::ast_matchers::dynamic::internal::ArgTypeTraits< unsigned >::get | ( | const VariantValue & | Value | ) |
| inline static

Definition at line 114 of file Marshallers.h.

## ◆ getKind()

static ArgKind clang::ast_matchers::dynamic::internal::ArgTypeTraits< unsigned >::getKind | ( |  | ) |
| inline static

Definition at line 118 of file Marshallers.h.

References clang::ast_matchers::dynamic::ArgKind::AK_Unsigned.

## ◆ is()

static bool clang::ast_matchers::dynamic::internal::ArgTypeTraits< unsigned >::is | ( | const VariantValue & | Value | ) |
| inline static

Definition at line 112 of file Marshallers.h.

References clang::ast_matchers::dynamic::VariantValue::isUnsigned().

The documentation for this struct was generated from the following file:

- lib/ASTMatchers/Dynamic/Marshallers.h